#
# spec file for package hetzner-flatcar
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define __arch_install_post export NO_BRP_STRIP_DEBUG=true

Name:           hetzner-flatcar
Version:        0.7.0
Release:        1.2
Summary:        A tool to deploy Flatcar Linux on Hetzner Cloud
License:        MIT
URL:            https://github.com/Thor77/hetzner-flatcar
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  go >= 1.18

%description
A tool to deploy Flatcar Linux on Hetzner Cloud. Includes transpiling of
Container Linux Config and reinstalling maschines on changes.

%prep
%autosetup -p 1 -a 1

%build
go build \
   -mod=vendor \
   -buildmode=pie \
   -o bin/%{name}

%install
install -D -m 0755 bin/%{name} %{buildroot}/%{_bindir}/%{name}

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}

%changelog
* Mon Jan 20 2025 opensuse_buildservice@ojkastl.de
- Update to version 0.7.0:
  * Fix goreleaser args
  * Fix goreleaser action args
  * Update goreleaser configuration for v2
  * Use go version from go.mod in action
  * Update dependencies and go version
  * Bump goreleaser/goreleaser-action from 2 to 6
  * Bump docker/login-action from 1 to 3
  * Add dependabot configuration
  * Bump actions/checkout from 2 to 4
  * Use go version from go.mod
  * Update dependencies and bump go
  * Add dependabot configuration
  * Update README.md - fix URL typo
* Sat Aug  3 2024 Johannes Kastl <opensuse_buildservice@ojkastl.de>
- new package hetzner-flatcar: a tool to deploy Flatcar Linux on
  Hetzner Cloud
